Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

Subtasks:

Task # 1209: Create L&S parser Closed

Task # 1210: Create lexicon model Closed

Task # 1211: Create lexicon importer Closed

Task # 1212: Create lexicon lookup Closed

Task # 1213: Lookup L&S definitions from word lookup Closed

Task # 2322: Determine data structure Closed

Feature # 2325: Convert titles from beta-code Closed

Feature # 2328: Descriptors ought to be the word form Closed

Bug # 2330: LSJ cannot be exported to an epub Closed

Feature # 2333: Populate lexicon entries upon import Closed

Feature # 2334: Migrations don't apply Closed

Task # 2344: Import LSJ Closed

Feature # 2354: Improve chances of a lookup match Rejected

Bug # 2355: Cannot index LSJ Closed

Associated revisions

Revision 881 - 11/19/2018 08:28 PM - lukemurphey

Breaking out the division level processing to a separate function

Reference #551

Revision 919 - 11/19/2018 08:28 PM - lukemurphey

Breaking out the division level processing to a separate function

Reference #551

Revision 885 - 11/19/2018 11:16 PM - lukemurphey

Styling the lexicon content

Reference #551

Revision 923 - 11/19/2018 11:16 PM - lukemurphey

Styling the lexicon content

Reference #551
Revision 891 - 11/21/2018 04:08 PM - lukemurphey

Improving support for LSJ

Reference #551

Revision 929 - 11/21/2018 04:08 PM - lukemurphey

Improving support for LSJ

Reference #551

Revision 897 - 11/23/2018 08:18 PM - lukemurphey

Making the import policy use a different name for the LSJ work

Reference #551

Revision 935 - 11/23/2018 08:18 PM - lukemurphey

Making the import policy use a different name for the LSJ work

Reference #551

History

#1 - 09/29/2013 06:48 PM - Luke Murphey

See http://stephanus.tlg.uci.edu/lsj/#eid=1&context=lsj for a similar concept.

#2 - 11/05/2013 06:24 AM - Luke Murphey

- Target version set to 3.0

#3 - 11/05/2013 06:30 AM - Luke Murphey

<div0 type="alphabetic letter" n="*a">

   <head lang="greek">*A</head>

   <entry key="a)a/atos" type="main" id="n0">

      <form>

          <orth extent="full" lang="greek">a)a/atos</orth>

      </form>

      <etym>

         <foreign lang="greek">a)a/a_tos</foreign> from <foreign lang="greek">a</foreign> privat. <!--a_privat

--> <foreign lang="greek">a)a/w.</foreign>

      </etym>

      <sense level="0" n="0" id="n0.0"><foreign lang="greek">a)a/a_tos</foreign>: in <usg>Il.</usg> with penul

t. long, <trans><tr>not to be injured, inviolable</tr></trans>, <foreign lang="greek">nu=n moi o)/mosson a)a/a

_ton *stugo\s u(/dwr</foreign>, because the gods swore their most binding oaths thereby.

      </sense>

      <etym><foreign lang="greek">a)a/atos</foreign> from <foreign lang="greek">a</foreign> copulat. <!--a_cop

ul-->, <foreign lang="greek">a)a/w.</foreign>

      </etym>

      <sense level="0" n="0" id="n0.1"><foreign lang="greek">a)a/atos</foreign>: in <usg>Od.</usg> with penult

. short, <trans>  <tr>hurtful, perilous, aweful</tr></trans>; <foreign lang="greek">a)/eqlos a)a/atos.</foreig

n></sense>

   </entry>
#4 - 11/05/2013 06:52 PM - Luke Murphey

A database design might look like this:

lexicon (table)

letter (table)

entry (table)

form (if multiple forms are associated with an entry)

etymology / sense

ls id

level

translation

#5 - 02/20/2016 02:31 AM - Luke Murphey

Questions:

1. Is the id value something significant that must be persisted?

2. How is the level attribute used?

3. How can references be linked to works in textcritical.com?

#6 - 02/20/2016 02:33 AM - Luke Murphey

- Subject changed from Lexicon support: Liddel and Scott to Lexicon support: Liddell and Scott

See http://www.perseus.tufts.edu/hopper/text?doc=Perseus%3Atext%3A1999.04.0058

#7 - 02/20/2016 11:30 PM - Luke Murphey

Need to parse out all of the <usg> tags and include a table that allow them to be referenced to works.

#8 - 07/18/2016 05:54 PM - Luke Murphey

Mote lexicons: https://sourceforge.net/projects/zefania-sharp/files/Dictionaries/ENG/

#9 - 11/23/2018 05:06 PM - Luke Murphey

- Subject changed from Lexicon support: Liddell and Scott to Lexicon support: Liddell and Scott (Middle)

#10 - 12/30/2018 02:08 AM - Luke Murphey

- Status changed from New to Closed
